#include <DFPlayerMini_Fast.h>

#if !defined(UBRR1H)
#include <SoftwareSerial.h>
SoftwareSerial mySerial(19, 18); // RX, TX
#endif

DFPlayerMini_Fast myMP3;

bool door1open = false;
bool door2open = false;
bool door3open = false;
bool door4open = false;
bool door5open = false;

void setup()
{
  Serial.begin(9600);

#if !defined(UBRR1H)
  mySerial.begin(9600);
  myMP3.begin(mySerial, true);
#else
  Serial1.begin(9600);
  myMP3.begin(Serial1, true);
#endif

  Serial.println("Setting volume to max");
  myMP3.volume(30);

  // Play all sounds once when the Arduino is powered on
  playAllSounds();
}

void loop()
{
  int value1 = analogRead(A0);
  int value2 = analogRead(A1);
  int value3 = analogRead(A2);
  int value4 = analogRead(A3);
  int value5 = analogRead(A4);

  Serial.println("Analog Value: ");
  Serial.println(value1);
  Serial.println(value2);
  Serial.println(value3);
  Serial.println(value4);
  Serial.println(value5);

  if (value1 > 100) {
    if (!door1open) {
      door1open = true;
      Serial.println("Looping track 1");
      myMP3.loop(1);
    }
  } else {
    door1open = false;
  }

  if (value2 > 100) {
    if (!door2open) {
      door2open = true;
      Serial.println("Looping track 2");
      myMP3.loop(2);
    }
  } else {
    door2open = false;
  }

  if (value3 > 100) {
    if (!door3open) {
      door3open = true;
      Serial.println("Looping track 3");
      myMP3.loop(3);
    }
  } else {
    door3open = false;
  }

  if (value4 > 100) {
    if (!door4open) {
      door4open = true;
      Serial.println("Looping track 4");
      myMP3.loop(4);
    }
  } else {
    door4open = false;
  }

  if (value5 > 100) {
    if (!door5open) {
      door5open = true;
      Serial.println("Looping track 5");
      myMP3.loop(5);
    }
  } else {
    door5open = false;
  }

  delay(250);
}

void playAllSounds()
{
  // Play each sound in sequence
  for (int i = 1; i <= 5; i++) {
    Serial.print("Playing track ");
    Serial.println(i);
    myMP3.play(i);
    delay(1000); // Adjust delay as needed between each sound
  }
}